/* ============================================= */
/* CSS for support popup window                  */
/* ============================================= */

.sapUiSupportBody {
	/*background-color: #F2F2F2;*/
	color: #000000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	margin: 0;
	padding: 0;
	height: 100%;
	width: 100%;
	min-width: 700px;
}

.sapUiSupportHidden {
	display: none;
}

.sapUiSupportHdr {
	position: relative;
	border-top: 2px solid #009de0;
	border-bottom: 1px solid #009de0;
	background-color:#f5f5f5;
	height: 30px;
	margin: 0;
}

.sapUiSupportHdr > img {
	position: absolute;
	left: 10px;
	height: 29px;
	display: none;
}

.sapUiSupportHdr > div {
	color: #007DC0;
	font-size: 18px;
	font-weight: normal;
	left: 10px;
	position: absolute;
	top: 5px;
}

.sapUiSupportPnl {
	margin-left: 5px;
	margin-right: 5px;
	margin-bottom: 5px;
}

.sapUiSupportCntnt {
	position: absolute;
	top: 40px;
	bottom: 0;
	overflow: auto;
	width: 100%;
	min-width: 700px;
}

.sapUiSupportPnlHdr {
	margin-top: 0;
	margin-bottom: 5px;
	color: #555;
	border-bottom: 1px solid #007DC0;
	height: 25px;
	font-weight: normal;
	font-size: 18px;
	padding-left: 5px;
	padding-right: 5px;
	position: relative;
	cursor: pointer;
}

.sapUiSupportPnlHdr:hover {
	color: #007DC0; /* indicate it is clickable */
}

.sapUiSupportPnlHdrHdl {
	border-color: #444444;
	border-right: 1px solid #444444;
	border-style: solid;
	border-width: 3px 1px 1px;
	cursor: pointer;
	height: 7px;
	position: absolute;
	right: 5px;
	top: 8px;
	width: 10px;
}

.sapUiSupportPnlHdrHdl.sapUiSupportPnlHdrHdlClosed {
	border-width: 3px 0px 0px;
	width: 12px;
}

.sapUiSupportPnlCntnt {
	margin-bottom: 5px;
}

.sapUiSupportPnlCntntPad {
	padding-left: 5px;
	padding-right: 5px;
}

.sapUiSupportPlugin {
	overflow: auto;
	position: relative;
}

.sapUiSupportLink,
.sapUiSupportLink:active,
.sapUiSupportLink:focus,
.sapUiSupportLink:visited,
.sapUiSupportLink:hover {
	color: #0078BB;
	text-decoration: none;
	display: inline-block;
}

.sapUiSupportLink:hover {
	text-decoration: underline;
}

.sapUiSupportLink.sapUiSupportLinkDsbl,
.sapUiSupportLink.sapUiSupportLinkDsbl:active,
.sapUiSupportLink.sapUiSupportLinkDsbl:focus,
.sapUiSupportLink.sapUiSupportLinkDsbl:visited,
.sapUiSupportLink.sapUiSupportLinkDsbl:hover {
	color: #999999;
	text-decoration: underline;
	cursor: default;
}

.sapUiSupportLabel {
	font-weight: bold;
}

.sapUiSupportToolbar {
	background-color: #F2F2F2;
	height: 28px;
	margin-bottom: 5px;
	padding-left: 5px;
	padding-right: 5px;
}

.sapUiSupportTxtFld,
.sapUiSupportBtn {
	border: 1px solid #BFBFBF;
	font-size: 14px;
	height: 22px;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

.sapUiSupportTxtFld {
	background-color: #FFFFFF;
	padding: 1px;
}

.sapUiSupportTxtFld:hover,
.sapUiSupportTxtFld:focus {
	border-color: #007DC0;
}

.sapUiSupportBtn {
	background-color: #E2E2E2;
	border-color: #A3A3A3;
	padding-bottom: 3px;
	cursor: pointer;
}

.sapUiSupportBtn:hover,
.sapUiSupportBtn:focus,
.sapUiSupportBtn.active {
	color: #FFFFFF;
	border-color: #00689E;
	background-color: #007DC0;
}

.sapUiSupportBtn.active {
	cursor: default;
}

.sapUiSupportToolbar > .sapUiSupportBtn,
.sapUiSupportToolbar > .sapUiSupportTxtFld {
	margin-top: 3px;
	vertical-align: top;
}

.sapUiSupportToolbar > .sapUiSupportLink {
	margin-top: 6px;
	vertical-align: top;
}

.sapUiSupportToolbar > .sapUiSupportLabel {
	position: relative;
	top: 6px;
	vertical-align: top;
}

/** Plugins **/

#sapUiSupportTechInfo {
	height: 350px;
}

#sapUiSupportTechInfo > table {
	width: 100%;
}

#sapUiSupportTechInfo-tggleDbgSrc,
#sapUiSupportTechInfo-tggleStatistics {
	margin-left: 15px;
}

#sapUiSupportTechInfo-Refresh {
	position: absolute;
	right: 5px;
}

.sapUiSupportTechInfoBorder {
	border: 1px solid #E2E2E2;
}

#sapUiSupportTrace,
#sapUiSupportMessageTest {
	overflow: hidden;
}

#sapUiSupportMessageTest > .sapUiSupportToolbar > button {
	margin-left: 5px;
}

#sapUiSupportPerf .sapUiSupportPerfCntnt,
#sapUiSupportTechInfo .sapUiSupportTechInfoCntnt,
#sapUiSupportTrace .sapUiSupportTraceCntnt,
#sapUiSupportMessageTest .sapUiSupportMessageCntnt {
	overflow: auto;
	position: absolute;
	top: 33px;
	left: 5px;
	right: 5px;
	bottom: 0;
}

#sapUiSupportTrace .sapUiSupportTraceEntryTime,
#sapUiSupportTrace .sapUiSupportTraceEntryLevel {
	font-weight: bold;
	display: inline-block;
	vertical-align: top;
}

#sapUiSupportTrace .sapUiSupportTraceEntryMessage {
	display: inline-block;
	vertical-align: top;
}

#sapUiSupportTrace .sapUiSupportTraceEntryLevel {
	width: 70px;
}

#sapUiSupportTrace .sapUiSupportTraceEntry {
	border-bottom: 1px solid #BFBFBF;
}

#sapUiSupportTrace .sapUiSupportTraceEntryTime {
	width: 100px;
}

#sapUiSupportTrace > .sapUiSupportToolbar > .sapUiSupportLabel {
	margin-left: 10px;
	font-weight: normal;
}

#sapUiSupportTrace > .sapUiSupportToolbar > select,
#sapUiSupportTrace > .sapUiSupportToolbar > input {
	margin-left: 5px;
}

#sapUiSupportControlTree {
	height: 480px;
	overflow: hidden;
}

.sapUiSupportDottedContainer,
#sapUiSupportControlTreeArea,
#sapUiSupportControlPropertiesArea {
	height: 454px;
	width: 48%;
	border: 1px dotted black;
	background-color: white;
	padding: 5px;
	overflow: auto;
	float: left;
	position: relative;
}

#sapUiSupportControlPropertiesArea {
	float: right;
	height: 423px;
}

ul.sapUiSupportControlTreeList, ul.sapUiSupportControlTreeList ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

ul.sapUiSupportControlTreeList li {
	margin: 2px 0 2px 11px;
	padding: 0;
}

#sapUiSupportControlTreeArea li {
	/*position: relative;*/
	overflow: hidden;
	cursor: pointer;
}

#sapUiSupportControlTreeArea li img.sapUiControlTreeIcon,
#sapUiSupportControlTreeArea li img.sapUiControlPicture {
	float: left;
}

#sapUiSupportControlTreeArea li img.sapUiControlTreeIcon {
	margin-top: 7px;
	margin-right: 4px;
}

#sapUiSupportControlTreeArea li img.sapUiControlPicture {
	margin-top: 5px;
	margin-right: 5px;
}

#sapUiSupportControlTreeArea li div {
	overflow: hidden;
	padding: 7px;
}

#sapUiSupportControlTreeArea li.sapUiControlTreeLink span {
	color: gray;
	text-decoration: underline;
}

#sapUiSupportControlTreeArea .sapUiSupportControlTreeSelected {
	background-color: #007DC0;
	color: white;
}

#sapUiSupportControlTreeArea .sapUiSupportControlTreeBreakpointCount {
	float: right;
}

#sapUiSupportControlTreeArea .sapUiSupportControlTreeBreakpointCount {
	color: black;
}

#sapUiSupportControlTreeArea .sapUiSupportControlTreeSelected .sapUiSupportControlTreeBreakpointCount {
	color: white;
}

#sapUiSupportControlTabs {
	width: 48%;
	height: 22px;
	padding: 3px 12px 6px 0;
	overflow: auto;
	float: right;
}

#sapUiSupportControlPropertiesArea ul.sapUiSupportControlTreeList li span {
	display: inline-block;
	padding: 5px 0;
	vertical-align: top;
}

#sapUiSupportControlPropertiesArea ul.sapUiSupportControlTreeList li {
	position: relative;
}

.sapUiSupportControlProperties {
	padding: 5px;
}

.sapUiSupportControlProperties table {
	width: 100%;
	border-spacing: 0;
	border-collapse: collapse;
}

.sapUiSupportControlProperties tr {
	height: 30px;
}

.sapUiSupportControlProperties tr:nth-child(even) {
	background-color: #F9F9F9;
}

.sapUiSupportControlProperties td {
	border: 1px solid #BFBFBF;
	padding: 0 6px;
}

.sapUiSupportControlProperties td div {
	/*padding: 0 5px;*/
}

.sapUiSupportControlProperties input[type="text"],
.sapUiSupportControlProperties select {
	width: 100%;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

#sapUiSupportPerf > .sapUiSupportToolbar > .sapUiSupportLabel {
	font-weight: normal;
}

#sapUiSupportPerf > .sapUiSupportToolbar > button {
	margin-right: 5px;
}

.sapUiSupportToolbar > input[type="checkbox"] {
	margin-top: 7px;
}

.sapUiSupportControlProperties td.methodLabel {
	vertical-align: middle;
	padding-left: 7px;
}

.sapUiSupportControlProperties td.methodLabel label {
	padding: 6px 0 6px 0;
	width: 100%;
	display: inline-block;
}

#sapUiSupportControlPropertiesArea ul li .get,
#sapUiSupportControlPropertiesArea ul li .set {
	position: absolute;
	top: 12px;
	font-weight: bold;
}

#sapUiSupportControlPropertiesArea ul li .get {
	right: 50px;
}

html[data-sap-ui-browser^="sf"] #sapUiSupportControlPropertiesArea ul li .get {
	right: 45px;
}

#sapUiSupportControlPropertiesArea ul li .set {
	right: 18px;
}

html[data-sap-ui-browser^="sf"] #sapUiSupportControlPropertiesArea ul li .set {
	right: 16px;
}

.sapUiSupportControlMethods {
	padding: 5px 2px 0 2px;
}

select.sapUiSupportAutocomplete {
	width: 198px;
	height: 22px;
	padding: 1px;
}

input[type="text"].sapUiSupportAutocomplete {
	margin-left: -197px;
	padding: 0 5px;
	width: 168px;
	height: 18px;
	border: none;
}

html[data-sap-ui-browser^="sf"] input[type="text"].sapUiSupportAutocomplete {
	height: 14px;
}

.sapUiSupportControlMethods button {
	margin-left: 28px;
}

html[data-sap-ui-browser^="ff"] .sapUiSupportControlMethods button {
	margin-left: 26px;
}

html[data-sap-ui-browser^="ie"] .sapUiSupportControlMethods button {
	margin-left: 24px;
}

html[data-sap-ui-browser^="sf"] .sapUiSupportControlMethods select.sapUiSupportAutocomplete {
	width: 189px;
}

html[data-sap-ui-browser^="sf"] .sapUiSupportControlMethods input[type="text"].sapUiSupportAutocomplete {
	width: 159px;
	margin-left: -188px;
}

hr.no-border {
	border-style: solid;
	border-color: #BFBFBF;
	border-bottom: none;
	margin: 10px 0 0 0;
}

ul.sapUiSupportList {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

ul.sapUiSupportList li {
	position: relative;
}

ul.sapUiSupportBreakpointList li {
	border-bottom: 1px solid #BFBFBF;
}

ul.sapUiSupportBreakpointList li:last-child {
	border-bottom: none;
}

ul.sapUiSupportBreakpointList li:hover {
	background-color: #F9F9F9;
}

ul.sapUiSupportBreakpointList li span {
	font-weight: bold;
	padding: 7px 0 7px 10px;
	display: inline-block;
}

ul.sapUiSupportBreakpointList li img {
	position: absolute;
	display: none;
	right: 10px;
	top: 7px;
}

ul.sapUiSupportBreakpointList li:hover img {
	display: inline;
}

#sapUiSupportControlTabProperties,
#sapUiSupportControlTabBindingInfos {
	margin-right: 3px;
}

/* DEBUGGING */

#sapUiSupportDebugging {
	height: 400px;
}

#sapUiSupportDebugging > .sapUiSupportDottedContainer {
	height: 278px;
	margin: 6px 0;
}

#sapUiSupportDebugging > #sapUiSupportDebuggingRebootContainer {
	box-sizing: border-box;
	width: 100%;
	height: 82px;
}

#sapUiSupportDebuggingRebootSelect {
	width: 100%;
	margin: 6px 0;
}

#sapUiSupportDebuggingRebootInput {
	width: 533px;
	box-sizing: border-box;
	width: calc(100% - 142px);
}

#sapUiSupportDebuggingMethodContainer {
	float: right;
}

#sapUiSupportDebuggingClassSelect {
	width: 228px;
}

#sapUiSupportDebuggingClassInput {
	margin-left: -227px;
	width: 198px;
}

#sapUiSupportDebuggingMethodSelect {
	width: 150px;
}

html[data-sap-ui-browser^="sf"] #sapUiSupportDebuggingMethodSelect {
	width: 140px;
}

#sapUiSupportDebuggingMethodInput {
	margin-left: -149px;
	width: 120px;
}

html[data-sap-ui-browser^="sf"] #sapUiSupportDebuggingMethodInput {
	margin-left: -139px;
	width: 110px;
}

#sapUiSupportDebuggingAddClass,
#sapUiSupportDebuggingAddBreakpoint {
	margin-left: 32px;
}

html[data-sap-ui-browser^="ie"] #sapUiSupportDebuggingAddClass,
html[data-sap-ui-browser^="ie"] #sapUiSupportDebuggingAddBreakpoint {
	margin-left: 30px;
}

html[data-sap-ui-browser^="ff"] #sapUiSupportDebuggingAddClass,
html[data-sap-ui-browser^="ff"] #sapUiSupportDebuggingAddBreakpoint {
	margin-left: 28px;
}

#sapUiSupportDebuggingClassList li div {
	padding: 7px 0 7px 10px;
	margin-right: 35px;
	font-weight: bold;
}

#sapUiSupportDebuggingClassList li img.remove-class {
	top: 7px;
	right: 10px;
	position: absolute;
	display: none;
}

#sapUiSupportDebuggingClassList li.selected div,
#sapUiSupportDebuggingClassList li div:hover {
	color: #fff;
	background-color: #007dc0;
	cursor: pointer;
}

#sapUiSupportDebuggingClassList li:hover img.remove-class {
	display: inline;
}

#sapUiSupportDebuggingClassList li span.breakpoints {
	float: right;
	margin-right: 10px;
}

/* ==========================================================================
   Performance
   ========================================================================== */
.sapUiSupportBody,
.sapUiSupportCntnt,
.sapUiSupportPerf-PanelContent,
#sapUiSupportPerf-Panel,
#sapUiSupportPerf-PanelContent {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;

	-webkit-box-direction: normal;
	-webkit-box-orient: vertical;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;

	-webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex: 1 1;
	flex-grow: 1;
}

#sapUiSupportPerf-PanelContent {
	visibility: visible;
	min-height: 400px;
	position: relative;
}

#sapUiSupportPerf-PanelContent.sapUiSupportHidden {
	visibility: hidden;
}

/* ================================================================================================================== */
#sapUiSupportPerf {
	bottom: 0;
	left: 0;
	overflow: hidden;
	position: absolute;
	right: 0;
	top: 0;
	background: #fff;
}

#sapUiSupportPerf ol,
#sapUiSupportPerf li {
	list-style: none;
	margin: 0;
	padding: 0;
}

.flex-spacer {
	-webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex: 1 1;
	flex-grow: 1;
}

/* ==========================================================================
   Performance Header
   ========================================================================== */
#sapUiSupportPerfHeader {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;

	-webkit-box-direction: normal;
	-webkit-box-orient: vertical;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;

	height: 80px;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	z-index: 10;

	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.sapUiSupportPerfHeaderFilters {
	background: #eee;
	border-bottom: solid 1px #ddd;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	height: 30px;
	line-height: 30px;
	padding: 0 5px;
}

.sapUiSupportPerfHeaderFilters > div {
	padding-left: 5px;
}

#sapUiSupportPerfHeaderTimelineOverview {
	border-bottom: solid 1px #ddd;
	border-bottom: solid 1px #ddd;
	padding-left: 250px;
	position: relative;
	-webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex: 1 1;
	flex-grow: 1;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline {
	background: #fafafa;
	bottom: 0;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline ol {
	bottom: 0;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	left: 250px;
	position: absolute;
	right: 0;
	top: 2px;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline li {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	position: relative;
	flex: 1;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline li .duration,
#sapUiSupportPerfHeaderTimelineOverview .timeline li .time {
	display: flex;
	flex-direction: column;
	-webkit-box-pack: end;
	-webkit-justify-content: flex-end;
	-ms-flex-pack: end;
	justify-content: flex-end;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline li .duration {
	margin-right: 1px;
	width: 4px;
}

#sapUiSupportPerfHeaderTimelineOverview .timeline li .time {
	opacity: 0.5;
	width: 2px;
}

#sapUiSupportPerfHeaderTimelineOverview .bars-wrapper {
	bottom: 0;
	display: flex;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
	-webkit-box-align: end;
	-webkit-align-items: flex-end;
	-ms-flex-align: end;
	align-items: flex-end;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	-ms-flex-pack: center;
	justify-content: center;
}

/* ================================================================================================================== */

#sapUiSupportNoDataOverlay {
	position: absolute;
	top: 90px;
	bottom: 0;
	left: 0;
	right: 0;
	background: #fff;
	z-index: 100;
	display: none;
}

/* ================================================================================================================== */

.line {
	font-size: 11px;
	height: 20px;
	line-height: 20px;
	white-space: nowrap;
}

.nodata {
	border-bottom: solid 1px #eee;
	overflow: hidden;
	box-sizing: border-box;
}

/* Filters
   ========================================================================== */

.filters > div {
	padding-right: 20px;
	white-space: nowrap;
}

#categories {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	max-width: 440px;
	padding-right: 0;
}

#categories > label {
	cursor: pointer;
	margin-right: 8px;
	overflow: hidden;
	text-overflow: ellipsis;
	text-transform: capitalize;
	white-space: nowrap;
}

#categories input {
	bottom: 1px;
	margin: 0 3px 0;
	position: relative;
	vertical-align: middle;
}

#categories input::after {
	background: #fff;
	border: solid 1px #666;
	border-radius: 3px;
	box-sizing: border-box;
	color: #fff;
	content: '✓';
	cursor: pointer;
	display: inline-block;
	font-size: 10px;
	font-weight: bolder;
	height: 13px;
	line-height: 10px;
	padding-left: 1px;
	padding-top: 1px;
	position: absolute;
	width: 13px;
}

#categories input:checked::after {
	background: #666;
}

.timeline .requireModuleType,
#categories input.requireModuleType:checked::after {
	background: hotpink;
}

.timeline .requestType,
#categories input.requestType:checked::after {
	background: blue;
}

.timeline .afterRenderingType,
#categories input.afterRenderingType:checked::after {
	background: orange;
}

.timeline .renderingType,
#categories input.renderingType:checked::after {
	background: green;
}

.timeline .unknownType,
#categories input.unknownType:checked::after {
	background: #666;
}

#sapUiSupportPerfHeaderFilterMinDuration {
	width: 50px;
}

#sapUiSupportPerfHeaderFilterSort {
	margin-right: 8px;
}

/* ==========================================================================
   Timeline
   ========================================================================== */

#sapUiSupportPerfHeaderTimeline {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	bottom: 0;
	left: 0;
	overflow: auto;
	position: absolute;
	right: 0;
	top: 100px;
	z-index: 1;
}

#sapUiSupportPerfHeaderTimelineBarWrapper {
	-webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	position: relative;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#sapUiSupportPerfHeaderTimelineBarWrapper ol {
	background-image: linear-gradient(90deg, #ddd 1px, transparent 1px),
	linear-gradient(90deg, #efefef 1px, transparent 1px),
	linear-gradient(90deg, #fafafa 1px, transparent 1px);
	z-index: 0;
}

#sapUiSupportPerfHeaderTimelineBarWrapper li {
	box-sizing: border-box;
	padding-top: 6px;
}

/* ================================================================================================================== */
#sapUiSupportPerfHeaderTimelineBarInfoWrapper {
	-webkit-box-flex: 0;
	-webkit-flex-grow: 0;
	-ms-flex-positive: 0;
	flex-grow: 0;
	-webkit-flex-shrink: 0;
	-ms-flex-negative: 0;
	flex-shrink: 0;
	-webkit-flex-basis: 250px;
	-ms-flex-preferred-size: 250px;
	flex-basis: 250px;
}

#sapUiSupportPerfHeaderTimelineBarInfoWrapper li {
	overflow-x: hidden;
}

#sapUiSupportPerfHeaderTimelineBarInfoWrapper .info:before {
	background: #eee;
	content: '';
	display: inline-block;
	height: 9px;
	margin-left: 4px;
	margin-right: 4px;
	width: 8px;
}

#sapUiSupportPerfHeaderTimeline li.hover {
	background: rgba(0, 0, 0, 0.025);
}

/* ================================================================================================================== */

#sapUiSupportPerfHeaderTimeline .requireModuleType .info:before {
	background: hotpink;
}

#sapUiSupportPerfHeaderTimeline .requestType .info:before {
	background: blue;
}

#sapUiSupportPerfHeaderTimeline .afterRenderingType .info:before {
	background: orange;
}

#sapUiSupportPerfHeaderTimeline .renderingType .info:before {
	background: green;
}

#sapUiSupportPerfHeaderTimeline .unknownType .info:before {
	background: #eee;
}

.timeline {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	overflow: hidden;
}

.flattenBarOffset .bar {
	margin-left: 0 !important;
}

.bar {
	background-color: #88BF49;
	height: 6px;
	position: relative;
}

.sub-bar {
	background-color: #88BF49;
	bottom: -3px;
	height: 2px;
	left: 0;
	opacity: 0.5;
	position: absolute;
}

/* ================================================================================================================== */

.defaultTimeStyle {
	background-color: #aebf4d;
}

.oneTimeStyle {
	background-color: #aebf4d;
}

.twoTimeStyle {
	background-color: #bfac4f;
}

.threeTimeStyle {
	background-color: #bf8c4c;
}

.fourTimeStyle {
	background-color: #bf784b;
}

.fiveTimeStyle {
	background-color: #bf5e3f;
}

.sixTimeStyle {
	background-color: #bf3020;
}

/* ================================================================================================================== */

#slider {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 250px;
	cursor: pointer;
	overflow: hidden;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#slideHandle,
#leftHandle,
#rightHandle {
	display: inline-block;
}

#slideHandle {
	position: relative;
	height: 50px;
	box-sizing: border-box;
	border: 1px solid #aaa;
	top: -1px;
}

#slideHandle::before,
#slideHandle::after {
	content: '';
	position: absolute;
	top: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.25);
	width: 10000px;
	pointer-events: none;
}

#slideHandle::before {
	margin-right: 100%;
	right: 1px;
}

#slideHandle::after {
	margin-left: 100%;
	left: 1px;
}

#leftHandle,
#rightHandle {
	position: absolute;
	height: 100%;
	width: 5px;
	cursor: ew-resize;
	overflow: hidden;
	background: #aaa;
}

#leftHandle {
	left: 0;
}

#rightHandle {
	right: 0;
}

#leftHandle::after,
#rightHandle::after {
	content: '...';
	position: absolute;
	top: 0;
	left: 0;
	font-weight: bold;
	color: #fff;
}

#leftHandle::after {
	transform: rotate(90deg) translate(15px, 0);
}

#rightHandle::after {
	transform: rotate(90deg) translate(15px, -1px);
}

/* ================================================================================================================== */
/* Timeline grid */
/* ================================================================================================================== */

#grid {
	position: absolute;
	top: 90px;
	right: 0;
	bottom: 0;
	left: 250px;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	pointer-events: none;
	border-left: 1px solid #eee;
}

#grid .header {
	width: 100%;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	box-sizing: border-box;
}

#grid .body {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
}

#grid .header > div,
#grid .body > div {
	webkit-box-flex: 1;
	-webkit-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-webkit-flex-shrink: 1;
	-ms-flex-negative: 1;
	flex-shrink: 1;
	-webkit-flex-basis: 0;
	-ms-flex-preferred-size: 0;
	flex-basis: 0;
	box-sizing: border-box;
	position: relative;
	white-space: nowrap;
	font-size: 80%;
}

#grid .body > div:nth-child(5n) {
	border-right: 1px solid #fafafa;
}

#grid .body > div:nth-child(10n) {
	border-right: 1px solid #eee;
}

#grid .header > div:first-child::after,
#grid .header > div:nth-child(5n)::after,
#grid .header > div:nth-child(10n)::after {
	display: block;
	content: attr(data-time);
	position: absolute;
	top: 0;
	right: 0;
	padding-right: 5px;
}

#grid .header > div:nth-child(5n) {
	color: #aaa;
}

#grid .header > div:first-child,
#grid .header > div:nth-child(10n) {
	color: #666;
}

#grid .header > div:first-child::after {
	right: 100%;
}

#sapUiSupportPerfToggleRecordingBtn {
	background: none;
	border: none;
	cursor: pointer;
	font-size: 100%;
	font-weight: bold;
	left: 12px;
	outline: none;
	padding: 0;
	position: absolute;
	top: 18px;
}

.sapUiSupportIntToggleRecordingBtn {
	line-height: 30px;
	margin-right: 5px;
	background: none;
	border: none;
	cursor: pointer;
	font-size: 100%;
	font-weight: bold;
	outline: none;
	padding: 0;
}

.sapUiSupportIntToggleRecordingBtn::before,
#sapUiSupportPerfToggleRecordingBtn::before {
	border: solid 5px #bf3020;
	border-radius: 5px;
	content: '';
	display: inline-block;
	height: 0;
	margin-right: 4px;
	width: 0;
}

.sapUiSupportIntToggleRecordingBtn::after,
#sapUiSupportPerfToggleRecordingBtn::after {
	color: #bf3020;
	content: attr(data-state);
}

.sapUiSupportIntToggleRecordingBtn[data-state^="Start recording"]::before,
#sapUiSupportPerfToggleRecordingBtn[data-state^="Start recording"]::before {
	border-color: transparent transparent transparent #333;
	border-radius: 0;
	border-style: solid;
	border-width: 5px 0 5px 10px;
	height: 0;
	width: 0;
}

.sapUiSupportIntToggleRecordingBtn[data-state^="Start recording"]::after,
#sapUiSupportPerfToggleRecordingBtn[data-state^="Start recording"]::after {
	color: #333;
}

.sapUiSupportIntRecordingInfo {
	margin-right: 5px;
	margin-top: 8px;
	float: right;
}

.sapUiSupportIntClearBtn{
	background-color: #F2F2F2;
	border-radius: 3px;
}

.sapUiSupportIntExportBtn {
	margin-left: 5px;
}

.sapUiSupportIntImportBtn {
	margin-left: 5px;
}

.sapUiSupportIntImportExportBtn {
	background-color: #417BAB;
	color: white;
	border-radius: 3px;
	border-color: #417BAB;
	float: right;
}

.sapUiFormResGridCont > .sapUiFormElementLbl.sapUiRespGridBreak {
	min-height: 15px;
}

/* ================================================================================================================== */
/* FileUpload control used in Interaction tab */
/* ================================================================================================================== */

.sapUiSupportIntFupInputMask {  /* the element masking the real (but hidden) file input, so the clickable area has exactly the same size as the visible control */
	display: inline-block;
	position: absolute;
	right: 0;
	overflow: hidden;
	width: 60px;
	float: right;
	height: 26px;
}

.sapUiSupportIntFupInputMask > input { /* the real, but hidden file input */
	position: absolute;
	opacity: 0;
	top: 0px;
	bottom: 0px;
	cursor: pointer;
	cursor: hand;
	left: -4em;       /* avoid the input field behind the file chooser */
	font-size: 500px; /* to make the field high enough for most themes; for themes with very large fonts this needs to be increased further */
}

html[data-sap-ui-browser^="ie"] .sapUiSupportIntFup > form input {
	display: block;
}

html[data-sap-ui-browser^="sf"] .sapUiSupportIntFupInputMask > input, /* for Safari and Chrome the file input is not clickable with opacity "0" */
html[data-sap-ui-browser^="cr"] .sapUiSupportIntFupInputMask > input {
	position: relative;
	left: auto;
	opacity: 0.01;
}

html[data-sap-ui-browser^="cr"] .sapUiSupportIntFupInputMask > input {
	float: right;
}

.sapUiSupportIntODataLbl input[type=checkbox] {
	position: relative;
	vertical-align: middle;
	bottom: 1px;
}
